# vim: ft=caddyfile

git.bbaovanc.com {
    encode zstd gzip
    import hsts

    handle_path /_/static/assets/* {
        root * /var/www/git.bbaovanc.com/public
        file_server
    }

    handle {
        reverse_proxy localhost:81 {
            header_up X-Real-IP {remote_host}

            @404 status 404
            handle_response @404 {
                handle /bbaovanc/* {
                    redir https://github.com{uri} temporary
                }

                handle {
                    copy_response
                }
            }
        }
    }

    import basicerrors
}
